com.amazonaws.services.simpleworkflow.model

## Class TerminateWorkflowExecutionRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.simpleworkflow.model.TerminateWorkflowExecutionRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class TerminateWorkflowExecutionRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`TerminateWorkflowExecutionRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TerminateWorkflowExecutionRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getChildPolicy()` If set, specifies the policy to use for the child workflow executions of the workflow execution being terminated.
`String` `getDetails()` Optional. Details for terminating the workflow execution.
`String` `getDomain()` The domain of the workflow execution to terminate.
`String` `getReason()` Optional. A descriptive reason for terminating the workflow execution.
`String` `getRunId()` The runId of the workflow execution to terminate.
`String` `getWorkflowId()` The workflowId of the workflow execution to terminate.
`int` `hashCode()`
`void` `setChildPolicy(ChildPolicy childPolicy)` If set, specifies the policy to use for the child workflow executions of the workflow execution being terminated.
`void` `setChildPolicy(String childPolicy)` If set, specifies the policy to use for the child workflow executions of the workflow execution being terminated.
`void` `setDetails(String details)` Optional. Details for terminating the workflow execution.
`void` `setDomain(String domain)` The domain of the workflow execution to terminate.
`void` `setReason(String reason)` Optional. A descriptive reason for terminating the workflow execution.
`void` `setRunId(String runId)` The runId of the workflow execution to terminate.
`void` `setWorkflowId(String workflowId)` The workflowId of the workflow execution to terminate.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`TerminateWorkflowExecutionRequest` `withChildPolicy(ChildPolicy childPolicy)` If set, specifies the policy to use for the child workflow executions of the workflow execution being terminated.
`TerminateWorkflowExecutionRequest` `withChildPolicy(String childPolicy)` If set, specifies the policy to use for the child workflow executions of the workflow execution being terminated.
`TerminateWorkflowExecutionRequest` `withDetails(String details)` Optional. Details for terminating the workflow execution.
`TerminateWorkflowExecutionRequest` `withDomain(String domain)` The domain of the workflow execution to terminate.
`TerminateWorkflowExecutionRequest` `withReason(String reason)` Optional. A descriptive reason for terminating the workflow execution.
`TerminateWorkflowExecutionRequest` `withRunId(String runId)` The runId of the workflow execution to terminate.
`TerminateWorkflowExecutionRequest` `withWorkflowId(String workflowId)` The workflowId of the workflow execution to terminate.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TerminateWorkflowExecutionRequest

    public TerminateWorkflowExecutionRequest()

### Method Detail

#### setDomain

    public void setDomain(String domain)

The domain of the workflow execution to terminate.

Parameters:
  `domain` - The domain of the workflow execution to terminate.

#### getDomain

    public String getDomain()

The domain of the workflow execution to terminate.

Returns:
  The domain of the workflow execution to terminate.

#### withDomain

    public TerminateWorkflowExecutionRequest withDomain(String domain)

The domain of the workflow execution to terminate.

Parameters:
  `domain` - The domain of the workflow execution to terminate.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkflowId

    public void setWorkflowId(String workflowId)

The workflowId of the workflow execution to terminate.

Parameters:
  `workflowId` - The workflowId of the workflow execution to terminate.

#### getWorkflowId

    public String getWorkflowId()

The workflowId of the workflow execution to terminate.

Returns:
  The workflowId of the workflow execution to terminate.

#### withWorkflowId

    public TerminateWorkflowExecutionRequest withWorkflowId(String workflowId)

The workflowId of the workflow execution to terminate.

Parameters:
  `workflowId` - The workflowId of the workflow execution to terminate.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRunId

    public void setRunId(String runId)

The runId of the workflow execution to terminate.

Parameters:
  `runId` - The runId of the workflow execution to terminate.

#### getRunId

    public String getRunId()

The runId of the workflow execution to terminate.

Returns:
  The runId of the workflow execution to terminate.

#### withRunId

    public TerminateWorkflowExecutionRequest withRunId(String runId)

The runId of the workflow execution to terminate.

Parameters:
  `runId` - The runId of the workflow execution to terminate.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setReason

    public void setReason(String reason)

Optional. A descriptive reason for terminating the workflow execution.

Parameters:
  `reason` - Optional.

#### getReason

    public String getReason()

Optional. A descriptive reason for terminating the workflow execution.

Returns:
  Optional.

#### withReason

    public TerminateWorkflowExecutionRequest withReason(String reason)

Optional. A descriptive reason for terminating the workflow execution.

Parameters:
  `reason` - Optional.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDetails

    public void setDetails(String details)

Optional. Details for terminating the workflow execution.

Parameters:
  `details` - Optional.

#### getDetails

    public String getDetails()

Optional. Details for terminating the workflow execution.

Returns:
  Optional.

#### withDetails

    public TerminateWorkflowExecutionRequest withDetails(String details)

Optional. Details for terminating the workflow execution.

Parameters:
  `details` - Optional.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setChildPolicy

    public void setChildPolicy(String childPolicy)

If set, specifies the policy to use for the child workflow executions of the workflow execution being terminated. This policy overrides the child policy specified for the workflow execution at registration time or when starting the execution.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

<note>A child policy for this workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default child policy was specified at registration time then a fault will be returned.</note>

Parameters:
  `childPolicy` - If set, specifies the policy to use for the child workflow executions of the workflow execution being terminated. This policy overrides the child policy specified for the workflow execution at registration time or when starting the execution.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
  <note>A child policy for this workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default child policy was specified at registration time then a fault will be returned.
See Also:
  `ChildPolicy`

#### getChildPolicy

    public String getChildPolicy()

If set, specifies the policy to use for the child workflow executions of the workflow execution being terminated. This policy overrides the child policy specified for the workflow execution at registration time or when starting the execution.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

<note>A child policy for this workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default child policy was specified at registration time then a fault will be returned.</note>

Returns:
  If set, specifies the policy to use for the child workflow executions of the workflow execution being terminated. This policy overrides the child policy specified for the workflow execution at registration time or when starting the execution.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
  <note>A child policy for this workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default child policy was specified at registration time then a fault will be returned.
See Also:
  `ChildPolicy`

#### withChildPolicy

    public TerminateWorkflowExecutionRequest withChildPolicy(String childPolicy)

If set, specifies the policy to use for the child workflow executions of the workflow execution being terminated. This policy overrides the child policy specified for the workflow execution at registration time or when starting the execution.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

<note>A child policy for this workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default child policy was specified at registration time then a fault will be returned.</note>

Parameters:
  `childPolicy` - If set, specifies the policy to use for the child workflow executions of the workflow execution being terminated. This policy overrides the child policy specified for the workflow execution at registration time or when starting the execution.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
  <note>A child policy for this workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default child policy was specified at registration time then a fault will be returned.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ChildPolicy`

#### setChildPolicy

    public void setChildPolicy(ChildPolicy childPolicy)

If set, specifies the policy to use for the child workflow executions of the workflow execution being terminated. This policy overrides the child policy specified for the workflow execution at registration time or when starting the execution.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

<note>A child policy for this workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default child policy was specified at registration time then a fault will be returned.</note>

Parameters:
  `childPolicy` - If set, specifies the policy to use for the child workflow executions of the workflow execution being terminated. This policy overrides the child policy specified for the workflow execution at registration time or when starting the execution.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
  <note>A child policy for this workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default child policy was specified at registration time then a fault will be returned.
See Also:
  `ChildPolicy`

#### withChildPolicy

    public TerminateWorkflowExecutionRequest withChildPolicy(ChildPolicy childPolicy)

If set, specifies the policy to use for the child workflow executions of the workflow execution being terminated. This policy overrides the child policy specified for the workflow execution at registration time or when starting the execution.

The supported child policies are:

- TERMINATE: the child executions will be terminated.
- REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
- ABANDON: no action will be taken. The child executions will continue to run.

<note>A child policy for this workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default child policy was specified at registration time then a fault will be returned.</note>

Parameters:
  `childPolicy` - If set, specifies the policy to use for the child workflow executions of the workflow execution being terminated. This policy overrides the child policy specified for the workflow execution at registration time or when starting the execution.

  The supported child policies are:

  - TERMINATE: the child executions will be terminated.
  - REQUEST_CANCEL: a request to cancel will be attempted for each child execution by recording a `WorkflowExecutionCancelRequested` event in its history. It is up to the decider to take appropriate actions when it receives an execution history with this event.
  - ABANDON: no action will be taken. The child executions will continue to run.
  <note>A child policy for this workflow execution must be specified either as a default for the workflow type or through this parameter. If neither this parameter is set nor a default child policy was specified at registration time then a fault will be returned.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ChildPolicy`

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public TerminateWorkflowExecutionRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`